SnmpModuleIdentity (Mibble 2.10.1 Documentation)
Date: 2017-02-20

net.percederberg.mibble.snmp

## Class SnmpModuleIdentity

- java.lang.Object
- - net.percederberg.mibble.MibType
  - - net.percederberg.mibble.snmp.SnmpType
    - - net.percederberg.mibble.snmp.SnmpModuleIdentity

-     public class SnmpModuleIdentity
      extends SnmpType

  The SNMP module identity macro type. This macro type was added to SMIv2 and is defined in RFC 2578.
  Since:
    2.0
  See Also:
    RFC 2578 (SNMPv2-SMI)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnmpModuleIdentity(java.lang.String lastUpdated, java.lang.String organization, java.lang.String contactInfo, java.lang.String description, java.util.ArrayList<SnmpRevision> revisions)` Creates a new SNMP module identity.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContactInfo()` Returns the organization contact information.
    `java.lang.String` | `getLastUpdated()` Returns the last updated date.
    `java.lang.String` | `getOrganization()` Returns the organization name.
    `java.util.ArrayList<SnmpRevision>` | `getRevisions()` Returns a list of all the SNMP module revisions.
    `java.lang.String` | `getUnformattedContactInfo()` Returns the unformatted organization contact information.
    `MibType` | `initialize(MibSymbol symbol, MibLoaderLog log)` Initializes the MIB type.
    `boolean` | `isCompatible(MibValue value)` Checks if the specified value is compatible with this type.
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class net.percederberg.mibble.snmp.SnmpType

      `getDescription, getDescription, getUnformattedDescription, removeIndent`

    - ### Methods inherited from class net.percederberg.mibble.MibType

      `createReference, createReference, createReference, getComment, getName, getReferenceSymbol, getTag, hasReferenceTo, hasReferenceTo, hasTag, hasTag, isPrimitive, setReferenceSymbol, setTag`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SnmpModuleIdentity

          public SnmpModuleIdentity(java.lang.String lastUpdated,
                            java.lang.String organization,
                            java.lang.String contactInfo,
                            java.lang.String description,
                            java.util.ArrayList<SnmpRevision> revisions)

      Creates a new SNMP module identity.
      Parameters:
        `lastUpdated` - the last updated date
        `organization` - the organization name
        `contactInfo` - the organization contact information
        `description` - the module description
        `revisions` - the list of module revisions

  - ### Method Detail

    - #### initialize

          public MibType initialize(MibSymbol symbol,
                           MibLoaderLog log)
                             throws MibException

      Initializes the MIB type. This will remove all levels of indirection present, such as references to types or values. No information is lost by this operation. This method may modify this object as a side-effect, and will return the basic type.

      NOTE: This is an internal method that should only be called by the MIB loader.

      Specified by:
        `initialize` in class `MibType`
      Parameters:
        `symbol` - the MIB symbol containing this type
        `log` - the MIB loader log
      Returns:
        the basic MIB type
      Throws:
        `MibException` - if an error was encountered during the initialization
      Since:
        2.2

    - #### isCompatible

          public boolean isCompatible(MibValue value)

      Checks if the specified value is compatible with this type. A value is compatible if and only if it is an object identifier value.
      Specified by:
        `isCompatible` in class `MibType`
      Parameters:
        `value` - the value to check
      Returns:
        true if the value is compatible, or false otherwise

    - #### getLastUpdated

          public java.lang.String getLastUpdated()

      Returns the last updated date.
      Returns:
        the last updated date

    - #### getOrganization

          public java.lang.String getOrganization()

      Returns the organization name.
      Returns:
        the organization name

    - #### getContactInfo

          public java.lang.String getContactInfo()

      Returns the organization contact information. Any unneeded indentation will be removed from the text, and it also replaces all tab characters with 8 spaces.
      Returns:
        the organization contact information
      See Also:
        `getUnformattedContactInfo()`

    - #### getUnformattedContactInfo

          public java.lang.String getUnformattedContactInfo()

      Returns the unformatted organization contact information. This method returns the original MIB file content, without removing unneeded indentation or similar.
      Returns:
        the unformatted organization contact information.
      Since:
        2.6
      See Also:
        `getContactInfo()`

    - #### getRevisions

          public java.util.ArrayList<SnmpRevision> getRevisions()

      Returns a list of all the SNMP module revisions. The returned list will consist of SnmpRevision instances.
      Returns:
        a list of all the SNMP module revisions
      See Also:
        `SnmpRevision`

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object.
      Overrides:
        `toString` in class `MibType`
      Returns:
        a string representation of this object